Page MenuHomePhabricator

Deploy Wikidata descriptions to all mobile web Wikipedias
Closed, ResolvedPublic

Description

Cleanup:

  • Now that getWikibaseStaticConfigVars is not dependant on whether the user is in beta or stable the config variables should be moved to the onResourceLoaderGetConfigVars hook.
  • Update any browser tests testing functionality in beta to do so in stable

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 7:41 PM
Jhernandez triaged this task as Normal priority.May 25 2016, 4:38 PM
Jdlrobson renamed this task from Deploy Wikidata descriptions to mobile web Wikipedias stable at large to Deploy Wikidata descriptions to all Wikipedias.Jun 1 2016, 4:06 PM
dr0ptp4kt renamed this task from Deploy Wikidata descriptions to all Wikipedias to Deploy Wikidata descriptions to all mobile web Wikipedias.Jun 1 2016, 8:45 PM
dr0ptp4kt added a subscriber: Lydia_Pintscher.

@Lydia_Pintscher with Catalan and Polish looking to land on Thursday, 23-June-2016, how would you suggest we go about enabling it across the board for the mobile web Wikipedias (except French, where consensus was against it) ? For example, if we were to enable it for all of the mobile web Wikipedias (except French) on one of the days in 5-July - 7-July would you be able to support the communication ahead of the prospective date and during its enablement (e.g., in case there are requests to turn it off in some Wikipedias)?

Adding @JKatzWMF to task for visibility.

@Lydia_Pintscher with Catalan and Polish looking to land on Thursday, 23-June-2016, how would you suggest we go about enabling it across the board for the mobile web Wikipedias (except French, where consensus was against it) ? For example, if we were to enable it for all of the mobile web Wikipedias (except French) on one of the days in 5-July - 7-July would you be able to support the communication ahead of the prospective date and during its enablement (e.g., in case there are requests to turn it off in some Wikipedias)?

I would be very surprised if every other Wikipedia but French would be smooth sailing. So I recommend a more staged rollout.

@Lydia_Pintscher, thanks. This suggests to me we'd want to do a wave rollout over the course of a month or something to that effect.

Addshore moved this task from incoming to monitoring on the Wikidata board.Jun 22 2016, 1:04 PM

@Lydia_Pintscher with Catalan and Polish looking to land on Thursday, 23-June-2016, how would you suggest we go about enabling it across the board for the mobile web Wikipedias (except French, where consensus was against it) ? For example, if we were to enable it for all of the mobile web Wikipedias (except French) on one of the days in 5-July - 7-July would you be able to support the communication ahead of the prospective date and during its enablement (e.g., in case there are requests to turn it off in some Wikipedias)?

"except French, where consensus was against it": this is wrong. There is simply NO consensus about it since the question has never been asked.
FR Wiki has a list of part where Wikidata is allowed and part where its not. Everything in between is in a gray area which is the case for this feature. See the policy in French.

I (or someone else) will launch a poll or RFC on the topic in the upcoming days.

Moushira closed this task as Resolved.Jan 30 2017, 8:46 PM